<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Table and Forms</title>
</head>
<body>

	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>

		<section>
			<h2>HTML Entities</h2>
			<p><em>Reserved Characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em></p>
		</section>

		<!-- Defines HTML Table -->
		<table border="1">
			<!-- thead = Used to group table header content -->
			<thead>
				<!-- tr = Defines table row -->
				<tr>
					<!-- th = defines table header -->
					<th colspan="2">Entity</th>	
					<th>Description</th>		
				</tr>
			</thead>

			<!-- tbody = Used to group table body content -->
			<tbody>

				<tr>
					<!-- td = table data = defines table element -->
					<td>&lt;</td>
					<td>lt</td>
					<td>less than</td>
				</tr>

				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>greater than</td>
				</tr>
				<tr>
					<td>&#8369;</td>
					<td>#8369</td>
					<td>Peso sign</td>
				</tr>

				<tr>
					<td>&amp;</td>
					<td>amp</td>
					<td>Ampersand</td>
				</tr>

				<tr>
					<td>&quot;</td>
					<td>quot</td>
					<td>Double Quotation Mark</td>
				</tr>

				<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>Single Quotation Mark(Apostrophe)</td>
				</tr>

				<tr>
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>Lower Tilde</td>
				</tr>

				<tr>
					<td>&Ntilde;</td>
					<td>Ntilde</td>
					<td>Upper Tilde</td>
				</tr>
			</tbody>

			<!-- Used to group table footer content -->
			<tfoot>
				<tr>
					<th colspan="3">List of HTML Entites</th>
				</tr>
			</tfoot>
		</table>

		<section>
				<h2>HTML Forms</h2>
				<p><em>Input elements that make up form.</em></p>	

				<!-- Creates an HTML form to capture user input -->
				<form action="https://google.com">
					<!-- Creates a label and allows input field selection when clicked -->
					<label for="full_name">Full Name:</label>
					<br>
					<!-- Creates input field -->
					<input type="text" name="full name" id="full_name" required>
					<br>

					<label for="birth_date">Birthdate:</label>
					<br>
					<input type="date" name="birth_date" id="birth_date" required>
					<br>

					<label for="age" > Age:</label>
					<br>
					<input type="number" name="age" id="age">
					<br>

					<label for="gender">Gender:</label>
					<br>

					<!-- Creates a dropdown selectiom -->
					<select name="gender" id="gender">
						<!-- Creates an option for the dropdown menu -->
						<option value="">--Select Gender--</option>

						<option value="male">Male</option>

						<option value="female">Female</option>
					</select>
					<br>

					<label for="notes">Notes:</label>
					<br>
					<!-- textarea = Creates larger input area -->
					<textarea name="notes" id="notes" rows="8"></textarea>
					<br>

					<!-- Radio Buttons -->
					<label>New user:</label>
					<br>

					<input type="radio" name="new_user" id="new_user" value="yes">
					<label for="user_type1">Yes</label>
					<br>

					<input type="radio" name="new_user" id="new_user" value="no">
					<label for="user_type2">No</label>
					<br>

					<!-- Check boxes -->
					<label>Role:</label>
					<br>

					<!-- Creates check boxes for multiple choices -->
					<input type="checkbox" name="role1" id="role1" value="developer">
					<label for="role1">Developer</label>
					<br>

					<input type="checkbox" name="role2" id="role2" value="student">
					<label for="role2">Student</label>
					<br>

					<input type="checkbox" name="role3" id="role3" value=",amager">
					<label for="role3">Manager</label>
					<br>

					<!-- Creates a button that will submit the form data -->
					<button type="submit">Submit</button>
					<br>

					<!-- Creates a button to reset the form -->
					<button type="reset">Reset</button>

				</form>		
		</section>
	</main>
</body>
</html>
